# NSM gVCF Exporter
---
Python code to export gVCF files from the Negative Storage Model (NSM) MongoDB

### Contents
1. [Requirements](#requirements) 
1. [Installation](#installation) 
1. [Execution](#execution) 

### Requirements
1. python 3.5+

### Installation
1. Unix/OSX
```sh 
$ ./setup.sh
```

### Execution
1. Activate python virtual environment:
```sh 
$ source venv/bin/activate
```

1. Run single sample:
```sh 
$ python exportnsm.py -s <sample-id> -r <reference-genome> -o <output-directory>
```

1. Run multiple samples: 
	- Place sample IDs in .txt file, one sample per row 

```sh 
$ python exportnsm.py -i <sample-ids.txt> -r <reference-genome> -o <output-directory>
```

1. Display help:
```sh 
$ python exportnsm.py -h 
``` 