# Confirm Variant Presence QC
---
Python script to check number of variants in MongoDB pieriandx.variantCallReports, negativeStorageModel.positions and gVCF exported files.  This confirms that each of these datasources contain the same number of variants in each to determine if the NSM importer or gVCF exporter scripts contain errors importing and exporting variant calls.

### Requirements 
1. Python 3+

### Important
1. For the following commands, it's important to use the PierianDx panel names

### Historic Data 
```sh 
$ python3 confirmVariantPresence.py -i /path/to/test_historic_moffitt_trusight_myeloid_samples.txt -p moffitt_trusight_myeloid -o /path/to/output --hist -g /path/to/gvcfs
```

### Non-Historic Data 
```sh 
$ python3 confirmVariantPresence.py -i /path/to/test_moffit_tst_170_samples.txt -p moffit_tst_170 -o /path/to/output -g /path/to/gvcfs
```

### Command Line Options 
```sh 
$ python3 confirmVariantPresence.py -h 
```