import csv
import pandas as pd

with open('/Users/cukrassd/Downloads/VariantAggregation_Pre_7-30-16-A.csv', 'r') as csvfile:
    so = csv.reader(csvfile, delimiter=',', quotechar='"')
    so_data = []
    for row in so:
        so_data.append(row)

headers = ['accesionNumber','runId','panel','variantCallId','gene', 'inReport', 'info',]
df = pd.DataFrame([], columns=headers)

################################################################################
################################################################################
################################################################################
# functions

def create_ary_for_df(sampleid, run_id, panel, var_id, gene, in_report):
	row = []
	row.append(sampleid)
	row.append(run_id)
	row.append(panel)
	row.append(var_id)
	row.append(gene)
	row.append(in_report)
	row.append('no genotype')
	return row

################################################################################
################################################################################
################################################################################

# get assertions
for record in range(0, len(so_data)):
	
	if record == 0:
		continue

	sampleid  = so_data[record][0]
	run_id    = so_data[record][1]
	panel     = so_data[record][2]
	var_id    = so_data[record][3]
	gene      = so_data[record][4]
	in_report = so_data[record][13]

	if panel == 'moffitt_gateway_ngs_myeloid_gene_set':
		continue

	assertions = so_data[record][len(so_data[record])-1].split(';');
	keys = []

	for assertion in assertions:
		tmp = assertion.split('=')
		keys.append(tmp[0].lower())

	if 'genotype' in keys:
		continue

	else:
		ary = create_ary_for_df(sampleid, run_id, panel, var_id, gene, in_report)
		df2 = pd.DataFrame([ary], columns=headers)
		df = df.append(df2)

df.to_csv('/Users/cukrassd/Downloads/variantsMissingGenotypeA.csv', index=False)