#!/bin/bash
#PBS -V
#PBS -l walltime=02:00:00,mem=60G
#PBS -l nodes=1:ppn=8
#PBS -t 1-100%30

# READ INPUT SAMPLE .TXT FILE
readarray input_samples < coverage_sample_ids_no_tail.txt

module load anaconda/3
source com.oracle.omics.gvcf-prep/venv/bin/activate

element=$(expr ${PBS_ARRAYID} - 1)
python com.oracle.omics.gvcf-prep/04_gvcf_export/exportnsm.py -s ${input_samples[element]} -r hs37d -o ./all_final_output
