#/bin/bash

# Append the sample name to the missing data files in the first column
for i in *.bed
do
	echo $i
	file=$(echo $i | cut -d'.' -f 1)
	awk -v FILE=$file '{print FILE"\t"$0}' $i > $i.bk; mv $i.bk $i;
done

# Create a consolidated file
cat *.bed > missingData.txt

# Create a file per chromosome
awk -F "\t" '{print >"missing_data-chr-"$2".txt"}' missingData.txt
