#!/bin/bash

readonly target_bed=/share/NGS/work/projects/Oracle_Omics/targets/SeqCap_EZ_Exome_v3_primary_nochr_pad25_merge.bed

# ***************************************** #
# DO NOT CHANGE THESE VALUES
# R script qcCountsUtil.r relies on them
readonly targets_output=targetCounts.txt
readonly noVar_output=noVarBedCounts.txt
# ***************************************** #

echo -e 'file\tcounts' > $noVar_output
for f in *missing.noVar.bed; do 
	count=$(awk 'BEGIN{s=0} {s+=($3-$2)} END{print s}' $f)
	echo -e $f'\t'${count} >> $noVar_output
done

echo -e 'file\tcounts' > $targets_output
count=$(awk 'BEGIN{s=0} {s+=($3-$2)} END{print s}' $target_bed)
echo -e ${target_bed}'\t'${count} >> $targets_output

# R counts util
Rscript qcCountsUtil.R