#!/bin/bash
#PBS
#PBS -l mem=10G,walltime=06:00:00

readonly SAMPLE_LIST=<ACCESSION_ID_LIST>
readonly PANEL=<PANEL_NAME>
readonly TARGET_BED_DIR=<TARGET_BED_DIR>
readonly OUTPUT_DIR=.
readonly GVCF_DIR=./all_final_output

source com.oracle.omics.gvcf-prep/venv/bin/activate

python3 com.oracle.omics.gvcf-prep/04_gvcf_export/utils/confirmVariantPresence.py -i ${SAMPLE_LIST} -p ${PANEL} -o ${OUTPUT_DIR} -g ${GVCF_DIR} -t ${TARGET_BED_DIR}