#!/bin/bash
#PBS -l mem=1G,walltime=00:10:00
#PBS -t 1-423%150

source com.oracle.omics.gvcf-prep/venv/bin/activate

readarray input_samples < formatted_sample_ids.txt 

element=$(expr ${PBS_ARRAYID} - 1)
sampleid=${input_samples[$element]%*[[:space:]]}

echo $sampleid
python3 com.oracle.omics.gvcf-prep/04_gvcf_export/utils/getDiscrepantGvcfErrorType.py -i ./all_final_output/${sampleid}.gvcf